body {
  background-color: $background-color;
  color: $text-color;
  font-family: $text-font;

  @media(prefers-color-scheme: dark) {
    background-color: $dark-background-color;
    color: $dark-text-color;
  }
}

main {
  line-height: 1.5;
  max-width: $content-max-width;
  margin: $main-margin;
  padding: 0 20px;

  .frame {
    margin: 100px 0;
  }

  @import 'paragraph';
}

h1, h2, h3 {
  text-decoration: underline;
  text-decoration-color: $accent-color;
}

h1, h2 {
  text-decoration-thickness: 4px;
}

h3 {
  text-decoration-thickness: 3px;
}

a {
  color: $text-color;

  @media(prefers-color-scheme: dark) {
    color: $dark-text-color;
  }
}

.hidden {
  visibility: hidden;
}

#typo3-preview-info {
  top: 60px !important;
}
